Skip to main content
GET
List live events

Authorizations

x-api-key
string
header
required

Query Parameters

countries
string

Comma-separated list of country codes (ISO 3166-1 alpha-2)

Example:

"US,CA"

exchanges
string

Exchange symbols, without blankspace, to filter by.

Example:

"NasdaqCM,NasdaqGS,NYSE"

tickers
string

Comma-separated list of company tickers

Example:

"AAPL,AMZN"

limit
number
default:10

The maximum number of items to return in a single request.

Required range: 1 <= x <= 500
Example:

10

cursor
number
default:0

A unique identifier pointing to the starting position for the next set of results.

Required range: x >= 0
Example:

2432

direction
enum<string>
default:asc

The direction of the sort order (id field).

Available options:
asc,
desc
Example:

"asc"

isins
string

Comma-separated list of ISINs

Example:

"US0378331005,US0231351067"

ciks
string

Comma-separated list of CIKs (SEC Central Index Keys)

Example:

"0000320193,0001018724"

companyIds
string

Comma-separated list of company IDs

Example:

"4024,5025,6026"

eventIds
string

Comma-separated list of event IDs

Example:

"4042,8934,16342"

states
string
Example:

"willBeLive,live"

transcriptVersion
enum<string>
default:1.6

The version of the live transcript stream

Available options:
1.6,
1.7
Example:

"1.6"

endDate
string

The end date (ISO 8601)

Example:

"2025-01-10T13:00:00Z"

startDate
string

The start date (ISO 8601)

Example:

"2024-12-12T15:00:00Z"

updatedBefore
string

Query data that was updated before this date (ISO 8601)

Example:

"2024-01-24T12:00:00Z"

updatedAfter
string

Query data that was updated after this date (ISO 8601)

Example:

"2025-01-12T15:00:00Z"

Response

data
object[]
required
pagination
object
required